import request from '@/utils/request'

// 查询盲板清单列表
export function listBlind(query) {
  return request({
    url: '/production/blind/list',
    method: 'get',
    params: query
  })
}

// 查询盲板清单详细
export function getBlind(id) {
  return request({
    url: '/production/blind/' + id,
    method: 'get'
  })
}

// 新增盲板清单
export function addBlind(data) {
  return request({
    url: '/production/blind',
    method: 'post',
    data: data
  })
}

// 修改盲板清单
export function updateBlind(data) {
  return request({
    url: '/production/blind',
    method: 'put',
    data: data
  })
}

// 删除盲板清单
export function delBlind(id) {
  return request({
    url: '/production/blind/' + id,
    method: 'delete'
  })
}

// 导出盲板清单
export function exportBlind(query) {
  return request({
    url: '/production/blind/export',
    method: 'get',
    params: query
  })
}
